dots.v2.genAi.custom_models.importEscaped.post()
Generated on 5 Nov 2026
from DoTs version
v1.23.0
Usage
client.v2.genAi.custom_models.importEscaped.post(body: ApiImportCustomModelInputPublic, requestConfiguration?: RequestConfiguration<object>): Promise<undefined | ApiImportCustomModelOutputPublic>Description
To import a custom model, send a POST request to /v2/gen-ai/custom_models/import.
Parameters
acceptHfTokenStorageboolean optionalExample:
trueWhether the caller accepts storage of their HuggingFace token for gated model access
acceptTermsAndConditionsboolean optionalExample:
trueWhether the caller accepts the terms and conditions for importing this model
descriptionstring optionalExample:
Production model for customer supportDescription of the model
namestring optionalExample:
my-mistral-7bName for the imported model
preferredGpuRegionstring optionalExample:
nyc3Preferred GPU region for deployment
sourceRefobject optionalReference to the original source of the model
Show child properties
accessTypestring optionalAccess level required for the model repository
bucketstring optionalExample:
example stringSpaces bucket name
commitShastring optionalExample:
example stringGit commit SHA of the model version
hfTokenstring optionalExample:
example stringUser-provided HuggingFace token for gated/private models (not persisted in source_ref)
prefixstring optionalExample:
example stringObject prefix path in the bucket
regionstring optionalExample:
example stringSpaces bucket region
repoIdstring optionalExample:
123e4567-e89b-12d3-a456-426614174000Huggingface repository identifier
sourceTypestring optionalSource from which the model was imported
tagsobject optionalUser-defined tags for organizing models
Show child properties
tagsarray of strings optionalExample:
["example string"]List of tag strings
Request Sample
Response Example
More Information
See /v2/gen-ai/custom_models/import in the API reference for additional detail on responses, headers, parameters, and more.